% This script demonstrates the usage of showset.m and buildcmap.m
% Written by Kye M Taylor, 2011.

% Create a set of three-dimensional, Gaussian random variables.
data = randn(500,3);

% Compute distance from point to origin
lngth = sqrt(sum(data.^2,2));

% Compute colormap such that each point's color encodes its distance from the origin.
c1 = buildcmap(lngth);

% Visualize the data with first colormap
figure,showset(data,c1); 
title('Color represents distance from origin. Hot = faraway.')

% Compute colormap such that each point's color encodes its "x" coordinate.
c2 = buildcmap(data(:,1));

% Visualize
figure,showset(data,c2); 
title('Color represents x coordinate. Hot = more positive.')

